Skip to main content
GET
/
api
/
v1
/
connected-accounts
/
{account_id}
Get Connected Account
curl --request GET \
  --url https://api.example.com/api/v1/connected-accounts/{account_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.example.com/api/v1/connected-accounts/{account_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.example.com/api/v1/connected-accounts/{account_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "provider": "<string>",
  "provider_account_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "display_name": "<string>",
  "profile_url": "<string>",
  "is_default": false,
  "daily_connection_limit": 25,
  "daily_message_limit": 100,
  "warmup_days": 14,
  "connection_country": "<string>"
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

account_id
string<uuid>
required

Response

Successful Response

Response model for a connected account.

id
string<uuid>
required
user_id
string<uuid>
required
provider
string
required
provider_account_id
string
required
status
enum<string>
required
Available options:
connected,
disconnected,
error,
reconnecting,
rate_limited
created_at
string<date-time>
required
updated_at
string<date-time>
required
display_name
string | null
profile_url
string | null
is_default
boolean
default:false
daily_connection_limit
integer
default:25
daily_message_limit
integer
default:100
warmup_days
integer
default:14
connection_country
string | null